.error-container {
  min-height: calc(100vh - 160px - 24px);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 12px;
  position: relative;
  color: #fff;

  &:before {
    content: '';
    position: absolute;
    top: 0; left: 0;
    bottom: 0; right: 0;
    background-image: url(../../img/error-background.jpg);
    background-size: 100% 100%;
    opacity: .2;
    border-radius: 24px;
    z-index: -1;
  }

  h1 {
    color: #fff;
    font-size: 10vmin;
    letter-spacing: 3px;
  }

  h2 {
    color: #d3d3d3;
    font-size: 4vmin;
    letter-spacing: 2px;
  }

  &__return {
    font-size: 6vmin;
    background-color: #a50000;
    border-radius: 24px;
    box-shadow: 5px 5px 0px 0px #000;
    transition: .1s ease-in-out;

    &:hover, &:focus-visible {
      filter: brightness(.8);
      outline: none;
      box-shadow: 3px 3px 0px 0px #000;
    }

    .link {
      display: flex;
      align-items: center;
      color: #fff;
      text-decoration: none;
      color: #cbcbcb;

      .icon {
        color: #fff;

        &-fir {
          animation: 1s jumpArrowLeft linear infinite;
        }
        &-sec {
          animation: 1s jumpArrowRight linear infinite;
          animation-delay: 1s;
          transform: rotate(90deg);
        }
      }
    }
  }
}


@media only screen and (max-width: 600px) {
  .error-container {
    min-height: calc(100vh - 120px - 24px);
  }
}

@keyframes jumpArrowRight {
  0%  {transform: rotateX(0) rotate(90deg);}
  40%  {transform: rotateX(-45deg)rotate(90deg);}
  100%  {transform: rotateX(0)rotate(90deg);}
}

@keyframes jumpArrowLeft {
  0%  {transform: rotateX(0) rotate(-90deg);}
  40%  {transform: rotateX(-45deg)rotate(-90deg);}
  100%  {transform: rotateX(0)rotate(-90deg);}
}
